JsonCpp project page | Classes | Namespace | JsonCpp home page

Json::FastWriter Class Reference

Outputs a Value in JSON format without formatting (not human friendly). More...

`#include <json/writer.h>`

Inherits Json::Writer.

## Public Member Functions

| FastWriter ()
| ~FastWriter () override=default
void | enableYAMLCompatibility ()
void | dropNullPlaceholders ()
| Drop the "null" string from the writer's output for nullValues.
void | omitEndingLineFeed ()
String | write (const Value &root) override
Public Member Functions inherited from Json::Writer
virtual | ~Writer ()

## Detailed Description

Outputs a Value in JSON format without formatting (not human friendly).

The JSON document is written in a single line. It is not intended for 'human' consumption, but may be useful to support feature such as RPC where bandwidth is limited.

See also
  Reader, Value

Deprecated
  Use StreamWriterBuilder.

Definition at line 171 of file writer.h.

## Constructor & Destructor Documentation

## FastWriter()

Json::FastWriter::FastWriter | ( |  | ) |

default

## ~FastWriter()

Json::FastWriter::~FastWriter | ( |  | ) |

override default

References dropNullPlaceholders(), enableYAMLCompatibility(), omitEndingLineFeed(), and write().

## Member Function Documentation

## dropNullPlaceholders()

void Json::FastWriter::dropNullPlaceholders | ( |  | ) |

Drop the "null" string from the writer's output for nullValues.

Strictly speaking, this is not valid JSON. But when the output is being fed to a browser's JavaScript, it makes for smaller output and the browser can handle the output just fine.

Definition at line 311 of file json_writer.cpp.

Referenced by ~FastWriter().

## enableYAMLCompatibility()

void Json::FastWriter::enableYAMLCompatibility | ( |  | ) |

Definition at line 309 of file json_writer.cpp.

Referenced by ~FastWriter().

## omitEndingLineFeed()

void Json::FastWriter::omitEndingLineFeed | ( |  | ) |

Definition at line 313 of file json_writer.cpp.

Referenced by ~FastWriter().

## write()

String Json::FastWriter::write | ( | const Value & | root | ) |

override virtual

Implements Json::Writer.

Definition at line 315 of file json_writer.cpp.

Referenced by ~FastWriter().

The documentation for this class was generated from the following files:

- include/json/writer.h
- src/lib_json/json_writer.cpp